package com.tax.file.model;

import com.yxcheng.token.common.model.MqMessage;
import lombok.*;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class InvoiceFileTaxManageFunctionReq implements MqMessage {

    private String optType;//操作类型 0-增加  1-删除 2-开启 3-停用
    private String functionNo;
    private String validType;
    private String bussinessType;
    private String keyType;
    private String initMonth;
    private String invSpec;

    public InvoiceFileTaxManageFunctionReq(String optType, String functionNo) {
        this.optType = optType;
        this.functionNo = functionNo;
        this.validType = "0";
        this.bussinessType = "1";
        this.keyType = "0";
        this.initMonth = "1";
    }

    @Override
	public String toString() {
		return "InvoiceFileTaxManageFunctionReq [optType=" + optType + ", functionNo=" + functionNo + ", validType="
				+ validType + ", bussinessType=" + bussinessType + ", keyType=" + keyType + ", initMonth=" + initMonth
				+ ", invSpec=" + invSpec + "]";
	}

}
